//
//  SkScollPageView.m
//  skyer
//
//  Created by odier on 16/8/3.
//  Copyright © 2016年 skyer. All rights reserved.
//

#import "SkScollPageView.h"

@implementation SkScollPageView

- (instancetype)init
{
    NSLog(@"init");
    if (self = [super init]) {
        
    }
    return self;
}
- (instancetype)initWithFrame:(CGRect)frame
{
    NSLog(@"initWithFrame");
    if (self = [super initWithFrame:frame]) {
        
    }
    return self;
}

/*arrViews 是要显示的页面数组
 *初始化ScollPageView
 */
- (void)initScollPageView: (NSArray *)arrViews{
    
    NSLog(@"arrViews=%@",arrViews);
    
    CGFloat viewWidth = self.bounds.size.width;
    CGFloat viewHeight = self.bounds.size.height;
    
    
    self.delegate=self;
    //设置分页
    self.pagingEnabled = YES;
    //设置滚动范围
    self.contentSize = CGSizeMake(viewWidth *arrViews.count, viewHeight);
    //设置初始偏移量（可以设置开始在第几页）
    [self scrollViewWithContentOffSetPage:0];
    //滚动到边缘的弹簧效果
    self.bounces = YES;
    //隐藏滚动条
    self.showsHorizontalScrollIndicator = NO;
    self.showsVerticalScrollIndicator=NO;
    //添加要显示的View
    for (int i = 0; i< arrViews.count; ++i) {
        
        UIViewController *view=[arrViews objectAtIndex:i];
        
        view.view.frame=CGRectMake(i*viewWidth, 0, viewWidth, viewHeight);
        
        [self addSubview:view.view];
        
    }
}


#pragma mark - 设置偏移在哪一页
/*int page
 *设置页面位置
 */
- (void)scrollViewWithContentOffSetPage:(NSInteger)page{
    self.contentOffset = CGPointMake(([UIScreen mainScreen].bounds.size.width) * page, 0);
}
#pragma mark --UIScrollViewDelegate
- (void)scrollViewDidScroll:(UIScrollView *)scrollView{
    //设置按钮被选中状态下的颜色
    NSInteger page=scrollView.contentOffset.x / [UIScreen mainScreen].bounds.size.width;
//    NSLog(@"%ld",page);
    if ([self.Skdelegate respondsToSelector:@selector(scrollViewAtWhitPage:)]) {
        [self.Skdelegate scrollViewAtWhitPage:page];
    }else{
        NSLog(@"scrollViewAtWhitPage Not Found");
    }
}
@end
